Update the event callback functions of a socket.

- « Swoole\Event::exit

- Swoole\Event::wait »

- PHP Manual
- Swoole\Event
- Update the event callback functions of a socket.

# Swoole\Event::set

(PECL swoole >= 1.9.0)

Swoole\Event::set — Update the event callback functions of a socket.

### Description

public static Swoole\Event::set(
int `$fd`,
string `$read_callback` = ?,
string `$write_callback` = ?,
string `$events` = ?
): bool

### Parameters

`fd`

`read_callback`

`write_callback`

`events`

### Return Values